Page MenuHomePhabricator

Send message to opt-in queue on failed payments attempts with opt_in=1
Closed, ResolvedPublic2 Story Points

Description

Can we record email opt-ins on payment attempts, even when the donation isn't successful?

We could send a double opt-in email for these folks if we thought there was an ideological problem with adding them in this case. I'm making this high priority because it's a "sooner than later" sort of thing with the Italian campaign about to run.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2019, 10:44 PM
CCogdill_WMF triaged this task as High priority.Feb 15 2019, 10:45 PM
CCogdill_WMF updated the task description. (Show Details)
CCogdill_WMF added subscribers: spatton, MBeat33, Pcoombe.

Adding a few potentially interested parties: @Pcoombe @spatton @MBeat33

Ejegg added a subscriber: Ejegg.Feb 16 2019, 12:04 AM

Technical notes: this could use the opt-in queue that we established for the re-provisioning emails. That queue's consumer assumes that we're just flipping a bit on an existing donor, so we would want to extend it to use the basic donor info from payments-wiki to create a donor record if it doesn't find one for the email address. Then I think we'd need to update the Silverpop export if we wanted to include contacts with no donations.

We'd definitely want to talk about how to integrate these folks into our Civi and IBM databases. I might suggest these are imported into IBM through in a separate file but happy to discuss pros and cons of either option.

We're trying to figure out how high of a priority this should be. Maybe less people are being left on the table than I thought. Is it easy to figure out these stats?

  • the % of people who enter an email and don't complete the form
  • the % of people who submit a payment that doesn't process
Ejegg added a comment.EditedFeb 25 2019, 3:38 PM

The percentage that submit a payments that doesn't process should be fairly straightforward, just looking at the payments_initial table for payments_final_status = failed.

The number that don't complete the initial form might be harder. From the raw web logs, we can probably get a list of people who enter their email and opt in on the banner, then check to see if they show up in the payments logs as submitting the form.

Ejegg renamed this task from Record opt-in on payment attempts to Send message to opt-in queue on failed payments attempts with opt_in=1 .Mar 5 2019, 9:20 PM
DStrine added a subscriber: DStrine.Mar 5 2019, 9:21 PM

We are going to focus on the failed transactions first. We'll need to talk about the difficulty and priority of those who don't complete the form.

Ejegg claimed this task.Mar 7 2019, 10:33 PM
Ejegg set the point value for this task to 2.

Change 495154 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP send opt-in message on donation failure

https://gerrit.wikimedia.org/r/495154

Change 495154 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Send opt-in message on donation failure

https://gerrit.wikimedia.org/r/495154

Hey @Ejegg, I see this is done! How is it working on the IBM side? I should expect to see new records show up with blank donation details but opt-ins?

@Ejegg cid=31598555 is new in Civi today, with no associated contribs or RML activity. Civi does show Opt In = Yes.

Can we confirm, are donors whose donations fail (actually this one got to Status 600, Order ID 66877069.1) reaching Civi?

Ejegg added a comment.Mar 28 2019, 5:58 PM

Yep @MBeat33, this was just deployed yesterday.
@CCogdill_WMF last night or tonight's export would be the next to show these donors. Just like you say, the records should have blank donation details, zero lifetime total, and opt_in=yes

Ah @Ejegg <T217712+public+7ba0a0e50372df47@phabricator.wikimedia.org> can
we roll this out more slowly? I'm sorry, I didn't know it would be done so
quickly. I think it's essential these people get a double opt-in email and
I don't have that translated anywhere yet.

Ejegg added a comment.Mar 28 2019, 7:38 PM

@CCogdill_WMF we could add a setting to turn this off, but would it be possible to just not target these donors in your Watson campaigns till you've done the double-opt-in?

I think it's important the double opt-in email happens almost concurrently
with signup. Otherwise it happens out of context and I don't think will be
appropriate.

It seems it would be too easy for someone to illegitimately add a bunch of
email addresses if they don't have to complete a payment, so it seems
important that the double opt-in it part of this process.

I'm also curious what information we're recording about these folks--is
there a sql table I can peek at? Looking at the contact record Michael
cited above, here's some additional info I'd like to see:

  • Donor name -- I'd think if we got their email, we got the name?
  • Opt-in date
  • Attempted amount -- could we retain this info? It would be really helpful in future targeting.

Change 500776 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Switch for sending opt-in on payment failure

https://gerrit.wikimedia.org/r/500776

Change 500776 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Switch for sending opt-in on payment failure

https://gerrit.wikimedia.org/r/500776

@DStrine can we meet to discuss this task? I have a few outstanding questions and am concerned we're collecting opt-ins for folks who are not getting the double opt-in right now.

Ejegg added a comment.Apr 5 2019, 6:49 PM

Hi @CCogdill_WMF. When we rolled back payments-wiki on Monday, that also rolled back this change, so this week we haven't been collecting opt-ins for people with failed donations.

I've added a switch to control whether these get sent or not, so when we put payments-wiki back on the new version, we won't automatically start collecting them till we turn that switch on.

Ahh awesome, thanks for the update, @Ejegg! I want to bump this additional
question:

I'm curious what information we're recording about these folks--is there a
sql table I can peek at? Looking at the contact record Michael cited above,
here's some additional info I'd like to see:

  • Donor name -- I'd think if we got their email, we got the name?
  • Opt-in date
  • Attempted amount -- could we retain this info? It would be really helpful in future targeting.

Thanks again for the quick response :)

DStrine closed this task as Resolved.Apr 30 2019, 7:57 PM